package storage

import (
	"context"
	"io"
	"net/http"
)

type FileManager interface {
	Save(ctx context.Context, file io.Reader, objID string) (string, error)
	Get(ctx context.Context, objID string) http.HandlerFunc
	Delete(ctx context.Context, objID string) error
}
